Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1197898 - Review Request: dconf-editor - Configuration editor for dconf
Summary: Review Request: dconf-editor - Configuration editor for dconf
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David King
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-03-02 23:05 UTC by Kalev Lember
Modified: 2015-03-13 17:07 UTC (History)
3 users (show)

Fixed In Version: atk-2.15.91-1.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-03 14:27:27 UTC
Type: ---
amigadave: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
GNOME Bugzilla 745501 0 None None None Never

Description Kalev Lember 2015-03-02 23:05:51 UTC
Spec URL: https://kalev.fedorapeople.org/dconf-editor.spec
SRPM URL: https://kalev.fedorapeople.org/dconf-editor-3.15.91-1.fc22.src.rpm
Description:
Graphical tool for editing the dconf configuration database.

Fedora Account System Username: kalev

Note that this is a package split; the code used to live in the dconf-editor subpackage in the dconf source package.

Comment 1 Matthias Clasen 2015-03-02 23:35:17 UTC
rpmlint ~/Downloads/dconf-editor-3.15.91-1.fc22.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.


rpmlint ~/rpmbuild/RPMS/x86_64/dconf-editor-3.15.91-1.fc22.x86_64.rpm 
dconf-editor.x86_64: W: no-documentation
dconf-editor.x86_64: W: no-manual-page-for-binary dconf-editor
dconf-editor.x86_64: E: invalid-appdata-file /usr/share/appdata/ca.desrt.dconf-editor.appdata.xml
1 packages and 0 specfiles checked; 1 errors, 2 warnings.

Comment 2 Matthias Clasen 2015-03-03 00:22:04 UTC
Package name: ok
Spec file name: ok
Packaging Guidelines: ok
License: ok
License field: ok
License file: ok
Spec language: ok
Spec legibility: excellent
Upstream sources: ok
Buildable: yes
Build deps: ok
Locale handling: ok
Shared libs: ok
Bundled libs: ok
Relocatable: no
Directory ownership: ok
Duplicate files: ok
File permissions: ok
Macro use: consistent
permissible content: yes
doc subpackage: not needed
doc content: ok
static libs: none
development files: none
libtool archives: none
desktop file: present
duplicate ownership: ok
utf8 filenames: ok


Summary: 

We should investigate why the appdata gets flagged as invalid, and fix it

After that, looks fine

Comment 3 David King 2015-03-03 08:37:12 UTC
appstream-util validate-relax ~/ca.desrt.dconf-editor.appdata.xml 
/home/david/ca.desrt.dconf-editor.appdata.xml: FAILED:
• url-not-found         : <screenshot> url not found [https://git.gnome.org/browse/dconf/plain/editor/screenshot.png]
Validation of files failed

The screenshot URL needs updating (dconf to dconf-editor). See the upstream bug for a patch.

Comment 4 Kalev Lember 2015-03-03 09:54:40 UTC
* Tue Mar 03 2015 Kalev Lember <kalevlember> - 3.15.91-2
- Fix appdata screenshot URL
- Validate appdata during %%check

Spec URL: https://kalev.fedorapeople.org/dconf-editor.spec
SRPM URL: https://kalev.fedorapeople.org/dconf-editor-3.15.91-2.fc22.src.rpm

Comment 5 David King 2015-03-03 10:09:47 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated


Issues:
=======
- Package installs properly.
  Note: Installation errors (see attachment)
  See: https://fedoraproject.org/wiki/Packaging:Guidelines
- If (and only if) the source package includes the text of the license(s) in
  its own file, then that file, containing the text of the license(s) for the
  package is included in %doc.
  Note: Cannot find COPYING in rpm(s)
  See:
  http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#License_Text

This is bogus, as it predates %license.

Owning /usr/share/icons/HighContrast (or a Requires of gnome-themes-standard) should fix the directory ownsership problem.

As the package is a split, you should add some appropriate Conflicts: https://fedoraproject.org/wiki/Packaging:Conflicts


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 8 files have unknown license. Detailed output of
     licensecheck in /home/david/checkout/rpms/1197898-dconf-
     editor/licensecheck.txt
[!]: Package must own all directories that it creates.
     Note: Directories without known owners:
     /usr/share/icons/HighContrast/22x22,
     /usr/share/icons/HighContrast/256x256, /usr/share/icons/HighContrast,
     /usr/share/icons/HighContrast/32x32,
     /usr/share/icons/HighContrast/24x24/apps,
     /usr/share/icons/HighContrast/16x16/apps,
     /usr/share/icons/HighContrast/32x32/apps,
     /usr/share/icons/HighContrast/48x48,
     /usr/share/icons/HighContrast/22x22/apps,
     /usr/share/icons/HighContrast/16x16,
     /usr/share/icons/HighContrast/48x48/apps,
     /usr/share/icons/HighContrast/256x256/apps,
     /usr/share/icons/HighContrast/24x24

Mentioned above.

[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Development files must be in a -devel package
[-]: Package uses nothing in %doc for runtime.
[x]: glib-compile-schemas is run in %postun and %posttrans if package has
     *.gschema.xml files.
     Note: gschema file(s) in dconf-editor
[x]: The spec file handles locales properly.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: gtk-update-icon-cache is invoked in %postun and %posttrans if package
     contains icons.
     Note: icons in dconf-editor
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install or desktop-
     file-validate if there is such a file.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[?]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[!]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Rpmlint is run on all installed packages.
     Note: Mock build failed
     See: http://fedoraproject.org/wiki/Packaging/Guidelines#rpmlint

Mentioned at the beginning of the review (missing Conflicts).

[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Installation errors
-------------------
INFO: mock.py version 1.2.7 starting (python version = 3.4.2)...
Start: init plugins
INFO: selinux enabled
Finish: init plugins
Start: run
Start: chroot init
INFO: calling preinit hooks
INFO: enabled root cache
INFO: enabled yum cache
Start: cleaning yum metadata
Finish: cleaning yum metadata
INFO: enabled ccache
Mock Version: 1.2.7
INFO: Mock Version: 1.2.7
Finish: chroot init
INFO: installing package(s): /home/david/checkout/rpms/1197898-dconf-editor/results/dconf-editor-3.15.91-2.fc22.x86_64.rpm
ERROR: Command failed. See logs for output.
 # /usr/bin/yum --installroot /var/lib/mock/fedora-22-x86_64/root/ --releasever 22 install /home/david/checkout/rpms/1197898-dconf-editor/results/dconf-editor-3.15.91-2.fc22.x86_64.rpm --setopt=tsflags=nocontexts

Mentioned above.


Rpmlint
-------
Checking: dconf-editor-3.15.91-2.fc22.x86_64.rpm
          dconf-editor-3.15.91-2.fc22.src.rpm
dconf-editor.x86_64: W: no-documentation
dconf-editor.x86_64: W: no-manual-page-for-binary dconf-editor
dconf-editor.x86_64: E: invalid-appdata-file /usr/share/appdata/ca.desrt.dconf-editor.appdata.xml
2 packages and 0 specfiles checked; 1 errors, 2 warnings.

Fixed with the patch in the spec file.


Requires
--------
dconf-editor (rpmlib, GLIBC filtered):
    /bin/sh
    libatk-1.0.so.0()(64bit)
    libc.so.6()(64bit)
    libcairo-gobject.so.2()(64bit)
    libcairo.so.2()(64bit)
    libdconf.so.1()(64bit)
    libgdk-3.so.0()(64bit)
    libgdk_pixbuf-2.0.so.0()(64bit)
    libgio-2.0.so.0()(64bit)
    libglib-2.0.so.0()(64bit)
    libgmodule-2.0.so.0()(64bit)
    libgobject-2.0.so.0()(64bit)
    libgtk-3.so.0()(64bit)
    libpango-1.0.so.0()(64bit)
    libpangocairo-1.0.so.0()(64bit)
    libpthread.so.0()(64bit)
    libxml2.so.2()(64bit)
    libxml2.so.2(LIBXML2_2.4.30)(64bit)
    rtld(GNU_HASH)



Provides
--------
dconf-editor:
    appdata()
    appdata(ca.desrt.dconf-editor.appdata.xml)
    application()
    application(ca.desrt.dconf-editor.desktop)
    dconf-editor
    dconf-editor(x86-64)



Source checksums
----------------
https://download.gnome.org/sources/dconf-editor/3.15/dconf-editor-3.15.91.tar.xz :
  CHECKSUM(SHA256) this package     : 67d4bb73500e185e33f19d71662325da8c625080d497d71fd11760cfbe758138
  CHECKSUM(SHA256) upstream package : 67d4bb73500e185e33f19d71662325da8c625080d497d71fd11760cfbe758138


Generated by fedora-review 0.5.2 (63c24cb) last change: 2014-07-14
Command line :/usr/bin/fedora-review -b 1197898
Buildroot used: fedora-22-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Comment 6 Kalev Lember 2015-03-03 11:44:52 UTC
Aaahhhhhh, that was soooooo verbose. You could have just posted the two lines where you said what else needs fixing :)

(In reply to David King from comment #5)
> Owning /usr/share/icons/HighContrast (or a Requires of
> gnome-themes-standard) should fix the directory ownsership problem.

Fixed.

> As the package is a split, you should add some appropriate Conflicts:
> https://fedoraproject.org/wiki/Packaging:Conflicts

The package name didn't change -- the binary package was dconf-editor before and dconf-editor after the split. No need for any special handling.

> dconf-editor.x86_64: E: invalid-appdata-file
> /usr/share/appdata/ca.desrt.dconf-editor.appdata.xml
> 2 packages and 0 specfiles checked; 1 errors, 2 warnings.
> 
> Fixed with the patch in the spec file.

Well, somewhat fixed: it's checking the _patched_ appdata file here and still complaining. However, I've now got an "appstream-util validate-relax" in %check and that passes. I assume rpmlint is being more strict and running "validate" as opposed to "validate-relax" and catching more problems because of that.


* Tue Mar 03 2015 Kalev Lember <kalevlember> - 3.15.91-3
- Fix unowned HighContrast icon theme directories (#1197898)

Spec URL: https://kalev.fedorapeople.org/dconf-editor.spec
SRPM URL: https://kalev.fedorapeople.org/dconf-editor-3.15.91-3.fc22.src.rpm

Comment 7 David King 2015-03-03 11:52:34 UTC
Cool, looks good with those changes.

Comment 8 Kalev Lember 2015-03-03 11:58:06 UTC
Thanks for the reviews and help, Matthias and David!

New Package SCM Request
=======================
Package Name: dconf-editor
Short Description: Configuration editor for dconf
Upstream URL: https://wiki.gnome.org/Projects/dconf
Owners: kalev
Branches: f22
InitialCC:

Comment 9 Gwyn Ciesla 2015-03-03 13:28:17 UTC
Git done (by process-git-requests).

Comment 10 Kalev Lember 2015-03-03 14:27:27 UTC
Package imported and built; closing the ticket.

Comment 11 Fedora Update System 2015-03-06 09:23:19 UTC
appstream-data-22-5.fc22,atk-2.15.91-1.fc22,bijiben-3.15.91-1.fc22,clutter-1.21.6-1.fc22,control-center-3.15.91-1.fc22,dconf-0.23.1-1.fc22,dconf-editor-3.15.91-3.fc22,devhelp-3.15.91-1.fc22,empathy-3.12.7-2.fc22,epiphany-3.15.90-4.fc22,evolution-3.15.91-1.fc22,evolution-data-server-3.15.91-1.fc22,evolution-ews-3.15.91-1.fc22,evolution-mapi-3.15.91-1.fc22,file-roller-3.15.91-1.fc22,five-or-more-3.15.91-1.fc22,gedit-3.15.91-1.fc22,glib-networking-2.43.91-1.fc22,glib2-2.43.91-1.fc22,glibmm24-2.43.90-1.fc22,gnome-backgrounds-3.15.91-1.fc22,gnome-boxes-3.15.91-1.fc22,gnome-calculator-3.15.91-1.fc22,gnome-calendar-3.15.91-1.fc22,gnome-chess-3.15.91-1.fc22,gnome-color-manager-3.15.91-1.fc22,gnome-contacts-3.15.91-1.fc22,gnome-desktop3-3.15.91-1.fc22,gnome-dictionary-3.15.91-1.fc22,gnome-initial-setup-3.15.91.1-1.fc22,gnome-logs-3.15.91-1.fc22,gnome-maps-3.15.91-1.fc22,gnome-mines-3.15.91-1.fc22,gnome-multi-writer-3.15.91-1.fc22,gnome-music-3.15.91-1.fc22,gnome-nibbles-3.15.91.1-1.fc22,gnome-online-accounts-3.15.91-1.fc22,gnome-packagekit-3.15.91-1.fc22,gnome-power-manager-3.15.91-1.fc22,gnome-robots-3.15.91-1.fc22,gnome-settings-daemon-3.15.91-1.fc22,gnome-shell-3.15.91-1.fc22,gnome-shell-extension-background-logo-3.15.91-1.fc22,gnome-shell-extensions-3.15.91-2.fc22,gnome-software-3.15.91-1.fc22,gnome-sound-recorder-3.15.91-1.fc22,gnome-sudoku-3.15.91-1.fc22,gnome-system-monitor-3.15.91-1.fc22,gnome-taquin-3.15.91.1-1.fc22,gnome-user-docs-3.15.91-1.fc22,gnome-weather-3.15.91-1.fc22,gobject-introspection-1.43.91-1.fc22,gtk2-2.24.27-1.fc22,gtk3-3.15.10-1.fc22,gtkmm30-3.15.9-1.fc22,gtksourceview3-3.15.91-1.fc22,hitori-3.14.3-1.fc22,iagno-3.15.91-1.fc22,libgweather-3.15.91-1.fc22,libsigc++20-2.4.1-1.fc22,libsoup-2.49.91.1-1.fc22,libxml++-2.38.0-1.fc22,lightsoff-3.15.91-1.fc22,mutter-3.15.91-1.fc22,orca-3.15.91-1.fc22,polari-3.15.91-1.fc22,pygobject3-3.15.91-1.fc22,simple-scan-3.15.91-1.fc22,sound-juicer-3.15.91-1.fc22,swell-foop-3.15.91-1.fc22,totem-3.15.91-1.fc22,tracker-1.3.4-2.fc22,vinagre-3.15.91-1.fc22,vino-3.15.91-1.fc22,webkitgtk3-2.4.8-4.fc22,webkitgtk4-2.7.91-2.fc22,yelp-3.15.91-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/appstream-data-22-5.fc22,atk-2.15.91-1.fc22,bijiben-3.15.91-1.fc22,clutter-1.21.6-1.fc22,control-center-3.15.91-1.fc22,dconf-0.23.1-1.fc22,dconf-editor-3.15.91-3.fc22,devhelp-3.15.91-1.fc22,empathy-3.12.7-2.fc22,epiphany-3.15.90-4.fc22,evolution-3.15.91-1.fc22,evolution-data-server-3.15.91-1.fc22,evolution-ews-3.15.91-1.fc22,evolution-mapi-3.15.91-1.fc22,file-roller-3.15.91-1.fc22,five-or-more-3.15.91-1.fc22,gedit-3.15.91-1.fc22,glib-networking-2.43.91-1.fc22,glib2-2.43.91-1.fc22,glibmm24-2.43.90-1.fc22,gnome-backgrounds-3.15.91-1.fc22,gnome-boxes-3.15.91-1.fc22,gnome-calculator-3.15.91-1.fc22,gnome-calendar-3.15.91-1.fc22,gnome-chess-3.15.91-1.fc22,gnome-color-manager-3.15.91-1.fc22,gnome-contacts-3.15.91-1.fc22,gnome-desktop3-3.15.91-1.fc22,gnome-dictionary-3.15.91-1.fc22,gnome-initial-setup-3.15.91.1-1.fc22,gnome-logs-3.15.91-1.fc22,gnome-maps-3.15.91-1.fc22,gnome-mines-3.15.91-1.fc22,gnome-multi-writer-3.15.91-1.fc22,gnome-music-3.15.91-1.fc22,gnome-nibbles-3.15.91.1-1.fc22,gnome-online-accounts-3.15.91-1.fc22,gnome-packagekit-3.15.91-1.fc22,gnome-power-manager-3.15.91-1.fc22,gnome-robots-3.15.91-1.fc22,gnome-settings-daemon-3.15.91-1.fc22,gnome-shell-3.15.91-1.fc22,gnome-shell-extension-background-logo-3.15.91-1.fc22,gnome-shell-extensions-3.15.91-2.fc22,gnome-software-3.15.91-1.fc22,gnome-sound-recorder-3.15.91-1.fc22,gnome-sudoku-3.15.91-1.fc22,gnome-system-monitor-3.15.91-1.fc22,gnome-taquin-3.15.91.1-1.fc22,gnome-user-docs-3.15.91-1.fc22,gnome-weather-3.15.91-1.fc22,gobject-introspection-1.43.91-1.fc22,gtk2-2.24.27-1.fc22,gtk3-3.15.10-1.fc22,gtkmm30-3.15.9-1.fc22,gtksourceview3-3.15.91-1.fc22,hitori-3.14.3-1.fc22,iagno-3.15.91-1.fc22,libgweather-3.15.91-1.fc22,libsigc++20-2.4.1-1.fc22,libsoup-2.49.91.1-1.fc22,libxml++-2.38.0-1.fc22,lightsoff-3.15.91-1.fc22,mutter-3.15.91-1.fc22,orca-3.15.91-1.fc22,polari-3.15.91-1.fc22,pygobject3-3.15.91-1.fc22,simple-scan-3.15.91-1.fc22,sound-juicer-3.15.91-1.fc22,swell-foop-3.15.91-1.fc22,totem-3.15.91-1.fc22,tracker-1.3.4-2.fc22,vinagre-3.15.91-1.fc22,vino-3.15.91-1.fc22,webkitgtk3-2.4.8-4.fc22,webkitgtk4-2.7.91-2.fc22,yelp-3.15.91-1.fc22

Comment 12 Fedora Update System 2015-03-13 17:07:47 UTC
atk-2.15.91-1.fc22, clutter-1.21.6-1.fc22, dconf-0.23.1-1.fc22, devhelp-3.15.91-1.fc22, epiphany-3.15.90-4.fc22, evolution-data-server-3.15.91-1.fc22, evolution-mapi-3.15.91-1.fc22, appstream-data-22-5.fc22, bijiben-3.15.91-1.fc22, control-center-3.15.91-1.fc22, dconf-editor-3.15.91-3.fc22, evolution-3.15.91-1.fc22, evolution-ews-3.15.91-1.fc22, file-roller-3.15.91-1.fc22, gedit-3.15.91-1.fc22, glib2-2.43.91-1.fc22, gnome-backgrounds-3.15.91-1.fc22, gnome-calculator-3.15.91-1.fc22, gnome-chess-3.15.91-1.fc22, gnome-contacts-3.15.91-1.fc22, gnome-dictionary-3.15.91-1.fc22, gnome-logs-3.15.91-1.fc22, gnome-mines-3.15.91-1.fc22, gnome-music-3.15.91-1.fc22, gnome-online-accounts-3.15.91-1.fc22, gnome-power-manager-3.15.91-1.fc22, gnome-settings-daemon-3.15.91-1.fc22, gnome-shell-extension-background-logo-3.15.91-1.fc22, glibmm24-2.43.91-1.fc22, empathy-3.12.7-3.fc22, tracker-1.3.5-1.fc22, gdk-pixbuf2-2.31.3-1.fc22, gnome-documents-3.15.91-1.fc22, gnote-3.15.1-1.fc22, gnome-session-3.15.90-2.fc22, five-or-more-3.15.91-1.fc22, glib-networking-2.43.91-1.fc22, gnome-boxes-3.15.91-1.fc22, gnome-calendar-3.15.91-1.fc22, gnome-color-manager-3.15.91-1.fc22, gnome-desktop3-3.15.91-1.fc22, gnome-initial-setup-3.15.91.1-1.fc22, gnome-maps-3.15.91-1.fc22, gnome-multi-writer-3.15.91-1.fc22, gnome-nibbles-3.15.91.1-1.fc22, gnome-packagekit-3.15.91-1.fc22, gnome-robots-3.15.91-1.fc22, gnome-shell-3.15.91-1.fc22, gnome-shell-extensions-3.15.91-2.fc22, gnome-sound-recorder-3.15.91-1.fc22, gnome-system-monitor-3.15.91-1.fc22, gnome-user-docs-3.15.91-1.fc22, gobject-introspection-1.43.91-1.fc22, gtk3-3.15.10-1.fc22, gtksourceview3-3.15.91-1.fc22, iagno-3.15.91-1.fc22, libsigc++20-2.4.1-1.fc22, libxml++-2.38.0-1.fc22, mutter-3.15.91-1.fc22, polari-3.15.91-1.fc22, simple-scan-3.15.91-1.fc22, swell-foop-3.15.91-1.fc22, vino-3.15.91-1.fc22, webkitgtk4-2.7.91-2.fc22, gtkmm30-3.15.10-1.fc22, gnome-software-3.15.91-1.fc22, gnome-sudoku-3.15.91-1.fc22, gnome-taquin-3.15.91.1-1.fc22, gnome-weather-3.15.91-1.fc22, gtk2-2.24.27-1.fc22, hitori-3.14.3-1.fc22, libgweather-3.15.91-1.fc22, libsoup-2.49.91.1-1.fc22, lightsoff-3.15.91-1.fc22, orca-3.15.91-1.fc22, pygobject3-3.15.91-1.fc22, sound-juicer-3.15.91-1.fc22, totem-3.15.91-1.fc22, vinagre-3.15.91-1.fc22, webkitgtk3-2.4.8-4.fc22, yelp-3.15.91-1.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.